<?php
if(!current_user_can('manage_options')) 
{ 
  wp_die(__('You do not have sufficient permissions to access this page.')); 
} 

?>

<?php
add_action( 'wp_enqueue_script', 'load_jquery' );
function load_jquery() {
    wp_enqueue_script( 'jquery' );
}
?>

<script type="text/javascript">
//<![CDATA[
	  jQuery(document).ready(function($){
		  var section_source = $('#import-post'),
  			checkbox_translate = section_source.find('input:radio[value="text"]'),
        div_source_text = $( "#import-source-text" ),
  			div_source_url = $( "#import-source-url" );
        
        
  			check_disabled_source = function(){
           if (checkbox_translate.prop('checked'))
           {
              div_source_text.show();
              div_source_url.hide();
           }
           else
           {
              div_source_url.show();
              div_source_text.hide();
           }  			   
			  };
			
			
			 var translate_section = $('#translate_section'),
  			 translate_checkbox = translate_section.find('input:checkbox'),
  			 translate_options = $( "#translate_options" );
  			
			 check_hide_Translate_options = function(){
           if (translate_checkbox.prop('checked'))
           {
              translate_options.show();
           }
           else
           {
              translate_options.hide();
           }  			   

  			

			};
			
      check_hide_Translate_options();
		  translate_section.find('input:checkbox').change(check_hide_Translate_options);
		  
      check_disabled_source();
 		  section_source.find('input:radio').change(check_disabled_source);
 		
      var tab_addPost = $('#tab_addPost'),
        tab_updatePost = $('#tab_updatePost');
    
      tab_addPost.click(function () {
              tab_addPost.toggleClass('nav-tab-active', true);
              tab_updatePost.toggleClass('nav-tab-active', false);          
              $('#div_addPost').show();
              $('#div_updatePost').hide();
              return true;
            });
            
      $('#tab_updatePost').click(function () {
              tab_addPost.toggleClass('nav-tab-active', false);
              tab_updatePost.toggleClass('nav-tab-active', true);          
              $('#div_addPost').hide();
              $('#div_updatePost').show();
              return true;
            });            

<?php if ($_GET["update"]==="1") {
    echo "tab_updatePost.click();";
  }
  else  {
    echo "tab_addPost.click();";
  }
?>
    
	  });
//]]>
</script>

<?php  draw_form(); ?>


<div class="wrap">
		<div id="icon-themes" class="icon32"></div>
		<h2><?php _e('IYP Import','importyourpost');?></h2>
		<?php settings_errors();  ?>
		
		   
		<h2 class="nav-tab-wrapper" id="nav-tab-wrapper">
      <a href="#" id="tab_addPost"  class="nav-tab"><?php _e('Import new Post','importyourpost'); ?></a>
			<a href="#" id="tab_updatePost" class="nav-tab"><?php _e('History Post','importyourpost'); ?></a>
    </h2>
 <div id="div_addPost">   
    <form method="post" action="#">
     <h3><?php _e('Source from the Post','importyourpost'); ?></h3>
     <table class="form-table">  
        <tr valign="top">
          <th scope="row"><?php _e('What is the source ?','importyourpost'); ?> </th>
          <td id="import-post">
           <fieldset>
             
          	 <p><label>
                <input name="source_post" type="radio" value="url" class="tog"  checked='checked' />
          	  <?php _e('url','importyourpost'); ?>	
              </label>
          	 
             </p>
          	 <p>
                <label>
          		  <input name="source_post" type="radio" value="text" class="tog"  />
          		  <?php _e('Text Source','importyourpost'); ?> 	
                </label>
          	 </p>            	 
            </fieldset>
          
            <div id="import-source-url"> 
              <fieldset>
                  <label for="importurl"><?php _e('Url import','importyourpost'); ?></label> 
                  <p>
                    <input type="text" name="import_url" id="import_url" value="<?php echo $_POST['import_url'];?>" class="regular-text" />
                  </p>
                   <p class="description"><?php _e('full url from the post to insert in your blog','importyourpost'); ?></p>
              </fieldset>
            </div>


            <div id="import-source-text">
               <fieldset>
                  <label for="source_text"><?php _e('Text to Import','importyourpost'); ?></label>
                  <p class="description"><?php _e('(paste the source code into the input box, if source code use relative link, complete also the url)','importyourpost'); ?></p>
                  <textarea name="source_text" class="large-text code" id="source_text" rows="10" cols="50" value="<?php $_POST['source_text'] ?>"></textarea>
               </fieldset>

               <fieldset>
                  <label for="import_text_url"><?php _e('Url from the source code','importyourpost'); ?></label>
                  <p class="description"><?php _e('(needed to complete and find internal url like "/images/dummy.png")','importyourpost'); ?></p>
                  <p>
                    <input type="text" name="import_text_url" id="import_text_url" value=""
                    class="regular-text" />
                      </p>
               </fieldset>
             </div>
             
          </td>
        </tr>
    </table>

     <h3><?php _e('Technology of the source','importyourpost'); ?></h3>
     <table class="form-table">              
        <tr valign="top">
            <th scope="row"><label for="typesource">Source</label></th>
            <td><select name="typesource" id="type_source" class="regular-text">                  
                  <option value="WP"><?php _e('Wordpress Blog Post','importyourpost'); ?></option>
                  <option value="JM"><?php _e('Joomla Article','importyourpost'); ?></option>
                  <option value="OT"><?php _e('Other','importyourpost'); ?></option>
                </select>
                <p class="description"><?php __('If you know the site, you can choose technology to have a better experience','importyourpost'); ?></p>
            </td>
        </tr>
     </table>
     <h3><?php _e('Translation Options','importyourpost'); ?></h3>
<?php
if ( strlen(get_option('settingsClientID')) > 0 && strlen(get_option('settingsClientSecret')) > 0) : 
  ?>
  <table class="form-table">                   
    <tr valign="top">
        <th scope="row"><label for="translate"><?php _e('Translate ?','importyourpost'); ?></label></th>
        <td id="translate_section">
          <fieldset>            
                <input name="translate" type="checkbox" id="translate" value="<?php $_POST['translate'] ?>"/>
                <label for="translate"><?php _e('Translate Post','importyourpost');?> </label>
            
          </fieldset>
         
          <div id="translate_options">              
            <fieldset>
              <label for="translate_options_from"><?php _e('From language (2 digit code)','importyourpost'); ?></label>                  
              <input name="translate_options_from" type="text" class="small-text" id="translate_options_from"/>
              <p class="description"><?php _e('Language for the original post. Keep it blank for auto-detection','importyourpost'); ?> </p>
            </fieldset>            
            <fieldset>
              <label for="translate_options_to"><?php _e('To language (2 digit code)','importyourpost'); ?></label>                  
              <input name="translate_options_to" type="text" class="small-text" id="translate_options_to" value="<?php echo substr(get_locale(),0, 2) ?>"/>
              <p class="description"><?php printf(__('(your current site language is "%s")','importyourpost'), get_locale());?></p>
            </fieldset>
          </div>
        </td>
    </tr>            
  </table>
<?php else: ?>
   <p class="description"><?php _e('Bing translator need to be configured if you want to use automatic translation. Go to the settings to configure Bing Translator','importyourpost'); ?></p>
<?php endif ?>

        <div style="height:5px"></div>
        <input type="submit" value="<?php _e('Import','importyourpost'); ?>" name="SubmitAddPost" class="button button-primary"/>

   </form>
 </div> 



<div id="div_updatePost" class="wrap">
  <h2>List of Records</h2>
 
  <div class="tablenav">
      <div class='tablenav-pages'>
          <?php 
          require_once(ABSPATH . 'wp-content/plugins/importyourpost/historypost.php');
          $p = PageHistory();  
          $p->nextLabel(__('Next','importyourpost'));
          $p->prevLabel(__('Previous', 'importyourpost'));
                 
           if(isset($p))
            {
                echo $p->show();  // Echo out the list of paging.
            } 
          ?>
      </div>
  </div>
 
<table class="widefat">
<thead>
    <tr>      
        <th><?php _e('Date', 'importyourpost');?></th>      
        <th><?php _e('Title', 'importyourpost');?></th>          
        <th><?php _e('Url', 'importyourpost');?></th>
       <!--  <th>Action</th> -->
    </tr>
</thead>
<tbody>
    <?php          
        $rows = SelectHistoryPage($p);
        if ( $rows )
        {     
	       foreach ( $rows as $row )
	         { ?>
	           <tr>
             <td><?php echo $row->created_date?></td>
	           <td><?php echo $row->origin_title?></td>
	           <td><?php echo $row->origin_url?></td>
	          <!--TODO Update  <td><button type="submit" name="btnUpdate" value="<?php echo $row->id?>">
                <span>Update</span>
            </button></td> -->	          
	           </tr>
	           <?php
	         }
	       }
	       else
	       {
         _e('no History','importyourpost');
         }
        ?>
          </tbody>
                  
    </form>
</div>

<?php
  
function draw_form() 
{
   handle_submit();
}

function trace_post()
{
  $query_string = "";
  if ($_POST) {
    $kv = array();
    foreach ($_POST as $key => $value) {
      $kv[] = "$key=$value";
    }
    $query_string = join("&", $kv);
  }
  else {
    $query_string = $_SERVER['QUERY_STRING'];
  }
  echo $query_string;
}

function handle_submit() 
{
   $_GET["page"];

   //trace_post();    
   if(isset($_POST['SubmitAddPost']) && $_POST['SubmitAddPost'] !== '') 
   {     
      if (isset($_POST['import_url']))
        $url = $_POST['import_url'];
      else
        $url = $_POST['import_text_url'];
      InsertNewPost($url, $_POST['source_text'], $_POST['typesource'], 
      isset($_POST['translate']), $_POST['translate_options_from'], 
      $_POST['translate_options_to']);     
      //$calculate = false;          
   }
          
    
    if(isset($_POST['btnUpdate']) && $_POST['btnUpdate'] !== '')
    {
          UpdatePost($_POST['btnUpdate']);
        //  exit;
    }
    else
    { 
     
    }
}            

function UpdatePost($id)
{
   echo "Update ".$id;
}


function InsertNewPost($url, $textSource, $typesource, $isTranslate, $originTranslate, $targetTranslate)
{
    require_once(ABSPATH . 'wp-content/plugins/importyourpost/transformpost.php');
    require_once(ABSPATH . 'wp-content/plugins/importyourpost/historypost.php'); 
    $post = TransformPost($url, $textSource, $typesource, $isTranslate, $originTranslate, $targetTranslate);
    if ($post !== null)
    {
      InsertPostInHistory($post['post_title'], $url, $post['id_post'], $_POST['typesource'], "", "");
      if ($post['nbMedia'] === 0) {
        showMessage(__('Post imported succesful! (no media imported)', 'importyourpost'));
      }
      else
        showMessage(
          
            sprintf(_n('Post imported succesful! (%s media imported)','Post imported succesful! (%s medias imported)'
              ,$post['nbMedia'], 'importyourpost'), $post['nbMedia']));
          
      // elseif ($post['nbMedia'] === 1) {
      //     showMessage("Post imported succesful! (1 media imported)");
      //   }
      //   else {
      //     showMessage("Post imported succesful! (". $post['nbMedia']. " medias imported)");
      //   }
    }
    else
    { 
      showMessage(__('Error, Post not imported !', 'importyourpost'), true);  
    }  

}


?>