<?php
if(!current_user_can('manage_options')) 
{ 
  wp_die(__('You do not have sufficient permissions to access this page.')); 
} 

?>

<div class="wrap">
    <h2><?php _e('IYP Settings', 'importyourpost');?></h2>
    <form method="post" action="options.php"> 
        <?php @settings_fields('wp_plugin_template-group'); ?>
        <?php @do_settings_fields('wp_plugin_template-group'); ?>         
        <h3><?php _e('Bing Translator Settings','importyourpost');?></h3>
        <table class="form-table">  
            <tr valign="top">
                <th scope="row"><label for="settingsClientID"><?php _e('Bing translator Client ID', 'importyourpost');?></label></th>
                <td><input type="text" name="settingsClientID" id="settingsClientID" value="<?php echo get_option('settingsClientID'); ?>" /></td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="settingsClientSecret"><?php _e('Bing translator Client Secret', 'importyourpost');?></label></th>
                <td><input type="text" name="settingsClientSecret" id="settingsClientSecret" value="<?php echo get_option('settingsClientSecret'); ?>" /></td>
            </tr>
        </table>
        <?php @submit_button(); ?>
    </form>
</div>